/* GTK Napster-0.301
 * Copyright (C) 2000 Unified (xilliator@hotmail.com).
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#ifndef _NCONNECT_H_
#define _NCONNECT_H_

#define IP 										"64.124.41.17"
#define PORT 									8875

#define LOGIN_ERROR_SOCKET 						"Error: Failed to open socket !"
#define LOGIN_ERROR_IP_CANCEL					"Connection to IP server canceled !"
#define LOGIN_ERROR_IP_TIMEOUT					"Timeout when finding best IP !"
#define LOGIN_ERROR_IP_ERROR					"Error when finding best IP !"
#define LOGIN_ERROR_USERNAME 					"Error: Failed sending username request."
#define LOGIN_ERROR_VER_CANCEL					"Recieve verification from server canceled."
#define LOGIN_ERROR_VER_TIMEOUT					"Recieve verification from server canceled."
#define LOGIN_ERROR_USERNAME_PASSWORD 			"Error: Failed sending username and password."
#define LOGIN_ERROR_CONNECT_CANCEL 				"Error: Connection to server canceled."
#define LOGIN_ERROR_CONNECT_TIMOUT 				"Timeout when connection to server."
#define LOGIN_ERROR_CONNECT_ERROR 				"Error when connection to server."
#define LOGIN_CONNECTING 						"Connecting: Connecting to main server..."
#define LOGIN_USERNAME_PASSWORD 				"Connecting: Verifying username and password..."
#define LOGIN_USERNAME_CANCEL		 			"Verifying username and password canceled !"
#define LOGIN_USERNAME_TIMEOUT	 				"Timeout when verifying username and password !"
#define LOGIN_USERNAME_WRONG	 				"Error: Wrong username or password !"
#define LOGIN_SENDING_SHARES					"Sending shared songs..."

/* 1=Username */
#define LOGIN_ERROR_USERINUSE 					"%s is already in use, try another username."

#define VERISON_INFO_SEND 						"GTK v0.301"

gint napster_findbestserver(gtk_sess *sess, gchar *ip, gboolean *CANCEL, time_t *start_time);
gboolean napster_connect_to_server(gtk_sess *sess, gchar *ip, gint port, gboolean newuser, gboolean *CANCEL, time_t *start_time);
gboolean napster_connect(gtk_sess *sess, gboolean newuser, gboolean *LOCK, gboolean *CANCEL, gchar *ip, gint port);

#endif
