/* GTK Napster-0.301
 * Copyright (C) 2000 Unified (xilliator@hotmail.com).
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#ifndef _NREAD_H_
#define _NREAD_H_

#define MSGBOX_ERROR_LENGTH_CODE 	"Error in function: recv(): Receiving string length and code."
#define MSGBOX_ERROR_STRING 			"Error in function: recv(): Receiving string."
#define MSGBOX_ERROR_RECV_TITLE 	"Error: recv()"

#define MSGBOX_NOT_CONNECTED 			"You are not connected!"
#define MSGBOX_ERROR_SEND_TITLE 	"Error"

/* 1=Length */
#define WARNING_HUGE_STRING 			"Received a HUGE string (%d) Trying to solv the problem !"

gboolean napster_something_to_read(gpointer data, gint source, GdkInputCondition condition);
gint send_string(gtk_sess *sess, gchar *instr, gint16 code);
gint recv_with_select(gint socketfd, gchar *buffer, gint sizetoread, time_t timeout, gint timeoutafter, gboolean *CANCEL);
gint connect_with_select(gint socketfd, gpointer dest_addr, time_t timeout, gint timeoutafter, gboolean *CANCEL);

#endif