/* GTK Napster-0.301
 * Copyright (C) 2000 Unified (xilliator@hotmail.com).
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#ifndef _NREADCOM_H_
#define _NREADCOM_H_

#define STATUSBAR_GET_INFO 			"Error: While sending get info."
#define STATUSBAR_SEARCH_INFO 		"Error: While sending search info."
#define STATUSBAR_JOIN_INFO 		"Error: While sending join info."
#define STATUSBAR_TELL_INFO 		"Error: While sending tell/msg info."
#define STATUSBAR_WHOIS_INFO 		"Error: While sending whois info."
#define STATUSBAR_LEAVE_INFO 		"Error: While sending leave info."

#define TRANSFER_STATUS_WAIT 		"Waiting..."
#define TRANSFER_STATUS_ERROR 		"Error..."
#define TRANSFER_STATUS_QUEUED 		"Queued..."

#define MSG_CANNOT_SEND 			"Can't send messages in channel Private"
#define MSG_CANNOT_LEAVE 			"Can't leave channel Private"

#define WARNING_READ_COMMAND 		"Error occured while trying to read a command"

#define COMMAND_UNKNOWN 			"Unknown command!"

#define COMMAND_JOIN_HELP 			"Command :/join <channel>"
#define COMMAND_TELL_HELP 			"Command :/tell <usr> <msg>"
#define COMMAND_PING_HELP 			"Command :/ping <user>"
#define COMMAND_WHOIS_HELP			"Command :/whois <user>"

#define COMMAND_JOIN 				"/join"
#define COMMAND_J 					"/j"
#define COMMAND_TELL 				"/tell"
#define COMMAND_MSG 				"/msg"
#define COMMAND_WHOIS 				"/whois"
#define COMMAND_PING 				"/ping"
#define COMMAND_LEAVE 				"/leave"

/* 1=Username, 2=Message */
#define MSG_YOU_TELL 						"- You tell %s: %s"

gint find_chat_nr(gtk_sess *sess, GtkWidget *widget);
void get_file_from(gtk_sess *sess, gboolean searchWindow, gint selrow);
void command_do_search(GtkWidget *w, gpointer data);
void command_join(gtk_sess *sess, gchar *command, gint nr_chat);
void command_tell(gtk_sess *sess, gchar *command, gint nr_chat);
void command_ping(gtk_sess *sess, gchar *command, gint nr_chat);
void command_whois(gtk_sess *sess, gchar *command, gint nr_chat);
void destroy_transfer_item(gpointer data);
void command_msg(gtk_sess *sess, gchar *command, gint nr_chat);
void command_leave_channel(gtk_sess *sess, gint nr_chat);
void read_command(GtkWidget *widget, gpointer data);

#endif