/* GTK Napster-0.301
 * Copyright (C) 2000 Unified (xilliator@hotmail.com).
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#ifndef _MENU_H_
#define _MENU_H_

#define MENU_ITEM_DLCANCEL				"Cancel Download"
#define MENU_ITEM_DLCLEAR				"Clear Download"
#define MENU_ITEM_RETRY					"Retry Download"
#define MENU_ITEM_RESUME				"Resume Download..."
#define MENU_ITEM_HOTLIST				"Add User To Hotlist"
#define MENU_ITEM_PLAY					"Play Song..."
#define MENU_ITEM_WHOIS					"User Information..."

#define MENU_ITEM_ULCANCEL			"Cancel Upload"
#define MENU_ITEM_ULCLEAR				"Clear Upload"

#define MENU_ITEM_GET						"Get File(s)..."
#define MENU_ITEM_UNSELECT			"Unselect All"

#define MENU_ITEM_CONNECT 			"Connect..."
#define MENU_ITEM_DISCONNECT 		"Disconnect..."
#define MENU_ITEM_QUIT 					"Quit"

#define MENU_ITEM_GOTOCHAT 			"Go To Chat..."
#define MENU_ITEM_GOTOSEARCH 		"Go To Search..."
#define MENU_ITEM_GOTOHOTLIST 	"Go To Hotlist..."
#define MENU_ITEM_GOTOLIBRARY 	"Go To Library..."
#define MENU_ITEM_GOTOTRANSFER 	"Go To Transfer..."

#define MENU_ITEM_SETTINGS 			"Settings..."

#define MENU_ITEM_REMOVE 				"Remove"
#define MENU_ITEM_ADD	 				"Add files..."
#define MENU_ITEM_VIEW 					"Browse user..."

#define MENU_ITEM_ADDHL		 			"Add user to hotlist..."
#define MENU_ITEM_REMOVEHL			"Remove user from hotlist..."
#define MENU_ITEM_REFRESH				"Refresh hotlist..."

#define MENU_FILE 							"File"
#define MENU_VIEW 							"View"
#define MENU_EDIT							"Edit"
#define MENU_HOTLIST						"Hotlist"
#define MENU_ABOUT							"About"

GtkWidget *make_menu(gtk_sess *sess);
void uhluser_right_clicked(GtkWidget *widget,  GdkEventButton *event, gpointer data);
void ahluser_right_clicked(GtkWidget *widget,  GdkEventButton *event, gpointer data);
void chat_right_clicked(GtkWidget *widget,  GdkEventButton *event, gpointer data);
void search_right_clicked(GtkWidget *widget,  GdkEventButton *event, gpointer data);
void hotlist_right_clicked(GtkWidget *widget,  GdkEventButton *event, gpointer data);
void download_right_clicked(GtkWidget *widget,  GdkEventButton *event, gpointer data);
void upload_right_clicked(GtkWidget *widget,  GdkEventButton *event, gpointer data);
void library_right_clicked(GtkWidget *widget,  GdkEventButton *event, gpointer data);

#endif