/* GTK Napster-0.301
 * Copyright (C) 2000 Unified (xilliator@hotmail.com).
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#ifndef _NACTION_H_
#define _NACTION_H_

#define TRANSFER_STATUS_CANCEL	 				"Canceled!"
#define STATUSBAR_GET_INFO 						"Error: While sending get info."
#define TRANSFER_STATUS_ERROR 					"Error..."
#define TRANSFER_STATUS_QUEUED 					"Queued..."

#define HL_CLIST_START							"Browsing files..."

void get_file(GtkWidget *w, gpointer data);
void get_file_hl(GtkWidget *w, gpointer data);
void cancel_download(GtkWidget *w, gpointer data);
void clear_transfer(GtkWidget *w, gpointer data);
void cancel_upload(GtkWidget *w, gpointer data);
void clear_upload(GtkWidget *w, gpointer data);
void resume_download(GtkWidget *widget, gpointer data);
void retry_download(GtkWidget *w, gpointer data);
void add_download_hotlist(GtkWidget *w, gpointer data);
void add_upload_hotlist(GtkWidget *w, gpointer data);
void unselect_download(GtkWidget *widget, gpointer data);
void unselect_search(GtkWidget *widget, gpointer data);
void unselect_hotlist(GtkWidget *widget, gpointer data);
void unselect_upload(GtkWidget *widget, gpointer data);
void add_search_hotlist(GtkWidget *widget, gpointer data);
void chat_hotlist(GtkWidget *widget, gpointer data);
void chat_whois(GtkWidget *widget, gpointer data);
void ahluser_remove(GtkWidget *widget, gpointer data);
void ahluser_view(GtkWidget *widget, gpointer data);
void uhluser_remove(GtkWidget *widget, gpointer data);
void unselect_library(GtkWidget *widget, gpointer data);
void lib_remove(GtkWidget *w, gpointer data);

#endif