/* GTK Napster-0.301
 * Copyright (C) 2000 Unified (xilliator@hotmail.com).
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */
#ifndef _NHOTLIST_H_
#define _NHOTLIST_H_

#define COLUMN_ONLINE							"Online"
#define COLUMN_OFFLINE							"Offline"

#define HL_BUTTON_GET 							"Get..."
#define HL_BUTTON_OK 							"OK"
#define HL_BUTTON_CANCEL						"Cancel"

#define HL_DIALOG_TITLE							"Add user to hotlist"
#define HL_REMOVE_DIALOG_TITLE					"Remove user from hotlist"


#define HL_LABEL_ADD_USER 						"Username to add:"
#define HL_LABEL_REMOVE_USER 					"Username to remove:"

typedef struct gtk_hl_sess
{
	gtk_sess *sess;
	GtkWidget *dialog;
	GtkWidget *entry;
} gtk_hl_sess;

void hl_send_logon_request(GtkWidget *widget, gpointer data);
void remove_hl_dialog(GtkWidget *widget, gpointer data);
void hl_ok_remove_func(GtkWidget *widget, gpointer data);
void command_hotlist_nofiles(gtk_sess *sess, gchar *instr);
void hl_cancel_func(GtkWidget *widget, gpointer data);
void hl_ok_func(GtkWidget *widget, gpointer data);
void add_hl_dialog(GtkWidget *widget, gpointer data);
void destroy_hl_list(gpointer data);
void command_hotlist_online(gtk_sess *sess, gchar *instr);
void add_user_to_hotlist(gtk_sess *sess, gchar *username);
void command_hl_useradd(gtk_sess *sess, gchar *username);
void command_hotlist_results(gtk_sess *sess, gchar *instr);
void hl_user_changed(GtkWidget *widget, gint row, gint column, GdkEventButton *event, gpointer data);
void hl_selection_unselected(GtkCList *clist, gint row, gint column, GdkEventButton *event, gpointer user_data);
GtkWidget *make_hotlist_page(gtk_sess *sess);

#endif
